/****************************************************************
*                MICRO-GT PIC versatile I.D.E.                  *
*               programma di selezione numerica                 *
* abbina il tasto numero n al display numero n che visualizza n *
*****************************************************************/

// imposta la frequenza del quarzo
#define XTAL_FREQ 20MHZ
#include <pic.h>

//fuse di configurazione
__CONFIG (HS & WDTDIS & PWRTEN & BORDIS & LVPDIS & DUNPROT & WRTEN & DEBUGDIS & UNPROTECT);

#include <delay.h>
#include "setting.h"

//programma di test dell'interrupt

void main(void){
	settings();
		while(1){
			if(P1==0){
				DelayMs(10);//ritardo
					if(P1==0){
						PORTC=disp1;
						PORTB=1;
					}
			}

			if(P2==0){
				DelayMs(10);//ritardo
					if(P2==0){
						PORTC=disp2;
						PORTB=2;
					}
			}

			if(P3==0){
				DelayMs(10);//ritardo
					if(P3==0){
						PORTC=disp3;
						PORTB=4;
					}
			}

			if(P4==0){
				DelayMs(10);//ritardo
					if(P4==0){
						PORTC=disp4;
						PORTB=8;
					}
			}

		}
}		
